<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

/***** ダッシュボードへウィジェットエリアを追加 *****/
/*** ウィジェットエリアを登録① ***/
function haup_admin_dashboard_wiget_area_init_01() {
//ウィジェットタイトルの設定
if(isset(  GetOP04_utility()['dashboard-widget-title-01'] )){
	$title_option = GetOP04_utility()['dashboard-widget-title-01'];
}else{
	$title_option = '';
}

	if(!empty($title_option)){
		$widget_area_title = $title_option;
	}else{
		$widget_area_title = __('HAUP Dashboard Widget 1','hima-art-utility');
	}

//ID・抜粋（変数化）
	$widget_area_id = 'ha-dash-widget-1';
	$widget_area_des = __('Add any widgets you want to appear on your dashboard','hima-art-utility');

	register_sidebar(array(
		'name' => $widget_area_title,
		'id' => $widget_area_id,
		'description' => $widget_area_des,
		'before_widget' => '<div class="haup-admin-widget"><div class="haup-widget-inner">',
		'after_widget' => '</div></div>',
		'before_title' => '<h3 class="haup-widget-title">',
		'after_title' => '</h3>'
	));
}
add_action( 'widgets_init', 'haup_admin_dashboard_wiget_area_init_01');

/*** ウィジェットエリアのコールバック ***/
function haup_admin_dashboard_widget_area_callback_01(){
	//ウィジェットの内容をまとめる
	ob_start();
	dynamic_sidebar('ha-dash-widget-1');//出力するウィジェットエリアのID
	$widget_content = ob_get_contents();
	ob_end_clean();
 
	echo wp_kses_post($widget_content);

}

/*** ダッシュボードにウィジェットエリアを追加 ***/
function haup_add_admin_dashboart_widget_area_01(){
//ウィジェットタイトルの設定
if(isset(  GetOP04_utility()['dashboard-widget-title-01'] )){
	$title_option = GetOP04_utility()['dashboard-widget-title-01'];
}else{
	$title_option = '';
}


	if(!empty($title_option)){
		$widget_title = $title_option;
	}else{
		$widget_title = __('HAUP Dashboard Widget 1','hima-art-utility');
	}
	
//ウィジェットエリアの・ID・コールバックを変数化
	$widget_area_id = 'ha-dash-widget-area-1';
	$widget_callback = 'haup_admin_dashboard_widget_area_callback_01';

	wp_add_dashboard_widget(
		$widget_area_id,
		$widget_title,
		$widget_callback
	);
}
add_action('wp_dashboard_setup','haup_add_admin_dashboart_widget_area_01');

/*** ウィジェットエリアを登録② ***/
function haup_admin_dashboard_wiget_area_init_02() {
//ウィジェットタイトルの設定
if(isset(  GetOP04_utility()['dashboard-widget-title-02'] )){
	$title_option = GetOP04_utility()['dashboard-widget-title-02'];
}else{
	$title_option = '';
}

	if(!empty($title_option)){
		$widget_area_title = $title_option;
	}else{
		$widget_area_title = __('HAUP Dashboard Widget 2','hima-art-utility');
	}

//ID・抜粋（変数化）
	$widget_area_id = 'ha-dash-widget-2';
	$widget_area_des = __('Add any widgets you want to appear on your dashboard','hima-art-utility');

	register_sidebar(array(
		'name' => $widget_area_title,
		'id' => $widget_area_id,
		'description' => $widget_area_des,
		'before_widget' => '<div class="haup-admin-widget"><div class="haup-widget-inner">',
		'after_widget' => '</div></div>',
		'before_title' => '<h3 class="haup-widget-title">',
		'after_title' => '</h3>'
	));
}
add_action( 'widgets_init', 'haup_admin_dashboard_wiget_area_init_02');

/*** ウィジェットエリアのコールバック ***/
function haup_admin_dashboard_widget_area_callback_02(){
	//ウィジェットの内容をまとめる
	ob_start();
	dynamic_sidebar('ha-dash-widget-2');//出力するウィジェットエリアのID
	$widget_content = ob_get_contents();
	ob_end_clean();
 
	echo wp_kses_post($widget_content);
}

/*** ダッシュボードにウィジェットエリアを追加 ***/
function haup_add_admin_dashboart_widget_area_02(){
//ウィジェットタイトルの設定
if(isset(  GetOP04_utility()['dashboard-widget-title-02'] )){
	$title_option = GetOP04_utility()['dashboard-widget-title-02'];
}else{
	$title_option = '';
}

	if(!empty($title_option)){
		$widget_title = $title_option;
	}else{
		$widget_title = __('HAUP Dashboard Widget 2','hima-art-utility');
	}
	
	//ウィジェットエリアの・ID・コールバックを変数化
	$widget_area_id = 'ha-dash-widget-area-2';
	$widget_callback = 'haup_admin_dashboard_widget_area_callback_02';

	wp_add_dashboard_widget(
		$widget_area_id,
		$widget_title,
		$widget_callback
	);
}
add_action('wp_dashboard_setup','haup_add_admin_dashboart_widget_area_02');

/*** ウィジェットブロックを停止 ***/
function haup_disable_block_wigets() {
	remove_theme_support( 'widgets-block-editor' );
}

if(isset(  GetOP04_utility()['disable-block-wedget'] )){
	$haup_dis_block_widget = GetOP04_utility()['disable-block-wedget'];
}else{
	$haup_dis_block_widget = '';
}

if( $haup_dis_block_widget == '1'){
	add_action( 'init', 'haup_disable_block_wigets' );
}

/*** TT2初期のウィジェットエリアを削除 ***/
function haup_remove_unused_widgets(){
	unregister_sidebar( 'sidebar-1' );
	unregister_sidebar( 'sidebar-2' );
	unregister_sidebar( 'sidebar-3' );
}
/* 削除しなくていい場合があるので一旦無効にしています */
//add_action( 'widgets_init', 'remove_unused_widgets' ,11);